org.postgis.binary

## Class ByteGetter

- java.lang.Object
- - org.postgis.binary.ByteGetter

Direct Known Subclasses:
  ByteGetter.BinaryByteGetter, ByteGetter.StringByteGetter

    public abstract class ByteGetter
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ByteGetter.BinaryByteGetter`
`static class` `ByteGetter.StringByteGetter`

### Constructor Summary

Constructors
Constructor and Description
`ByteGetter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract int` `get(int index)` Get a byte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteGetter

    public ByteGetter()

### Method Detail

#### get

    public abstract int get(int index)

Get a byte.

Parameters:
  `index` - the index to get the value from
Returns:
  The result is returned as Int to eliminate sign problems when or'ing several values together.